Bug 68452 - Libtool scripts in non-devel package
Libtool scripts in non-devel package
Status: CLOSED NOTABUG
Product: Red Hat Public Beta
Classification: Retired
Component: arts (Show other bugs)
limbo
i386 Linux
medium Severity low
: ---
: ---
Assigned To: wdovlrrw
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-10 07:01 EDT by Joe Orton
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-10 07:01:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Orton 2002-07-10 07:01:04 EDT
arts-1.0.1-6 contains the *.la libtool scripts in /usr/lib, which are only
needed when linking against the libraries, so could be moved to the -devel package.
Comment 1 Bernhard Rosenkraenzer 2002-08-13 06:42:02 EDT
No. 
KDE uses ltdlopen() to load libraries dynamically, which doesn't work if the 
*.la files aren't installed. 
 
Try it for yourself - rm -f /usr/lib/*.la /usr/lib/kde3/*.la and watch KDE 
breaking.

Note You need to log in before you can comment on or make changes to this bug.